/*
  Copyright (C) 2009 Pot Etienne

  This file is part of Vocab++.

  Vocab++ is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Vocab++ is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Vocab++.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef VALEURS_PAR_DEFAUT_HPP
#define VALEURS_PAR_DEFAUT_HPP

    //------------------------------ DEFINES DU PROGRAMME -------------------------------------//
    #define FILTRE_CHARGEMENT_SAUVEGARDE "Fichiers vocabulaires (*.vocab)"// Pour les boites de dialogues ouvrir et sauvegarder sous

    //------------------------------ DEFINES DES OPTIONS --------------------------------------//
    // OPTIONS
    #define DEFAUT_GROUPE_ORDRE_ACTION 0
    #define DEFAUT_AFFICHAGE_DUREE 4
    #define DEFAUT_CALCUL_AUTOMATIQUE_DIFICULTEE true
    #define DEFAUT_ACTUALISER_FILTRE_EN_PERMANANCE true
    #define DEFAUT_AJOUTER_A_LA_FIN false
    #define DEFAUT_TOLERANCE true
    #define DEFAUT_TOLERANCE_ACCENTS true
    #define DEFAUT_TOLERANCE_MAJUSCULES true

    // CLAVIERS
    #define DEFAUT_NOMBRE_DE_CLAVIER 0

    // CHARGEMENT/SAUVEGARDE
    #define DEFAUT_REPERTOIRE_DEFAUT ""
    #define DEFAUT_NOM_FICHIER_ACTUEL ""//nom du fichier au premier demarage
    #define DEFAUT_REPERTOIRE_DEFAUT_DYNAMIQUE true
    enum enum_demarage_reprendre_liste_en_cour
    {
        REPRENDRE_LISTE = 0,
        NOUVELLE_LISTE = 1,
        LISTE_PERSONNALISEE = 2
    };
    #define DEFAUT_DEMARAGE_REPRENDRE_LISTE_EN_COUR REPRENDRE_LISTE

    // AFFICHAGE
    #define DEFAUT_NOMBRE_DE_LIGNE_TABLEAU 9
    #define DEFAUT_AFFICHER_UNIQUEMENT_FAUTES false

    #define DEFAUT_BOUTON_CHANGER false
    #define DEFAUT_BOUTON_SUPPRIMER true
    #define DEFAUT_BOUTON_MODIFIER true
    #define DEFAUT_BOUTON_NE_PLUS_VOIR false
    #define DEFAUT_BOUTON_EFFACER true

    #define DEFAUT_SAUTER_CETTE_QUESTION false

    #define DEFAUT_AJOUTER_QUESTIONS true
    #define DEFAUT_BOUTON_SUPPRIMER_QUESTION_ACTUELLE false
    #define DEFAUT_BOUTON_MODIFIER_QUESTION_ACTUELLE false
    #define DEFAUT_BOUTON_VIDER_LISTE true
    #define DEFAUT_BOUTON_LISTE_DES_QUESTION true

    // RÉINITIALISER
    #define DEFAUT_REPRENDRE_DERNIERE_CONFIGURATION_UTILISEE true

    #define DEFAUT_SCORE_REINITIALISE true
    #define DEFAUT_SCORE_MAXIMUM_REINITIALISE false
    #define DEFAUT_DATE_DERNIERE_FOIS_POSEE_REINITIALISE false
    #define DEFAUT_NOMBRE_DE_FOIS_POSEE_REINITIALISE false
    #define DEFAUT_NOMBRE_DE_FOIS_REUSSI_REINITIALISE false

    // AUTRE
    #define DEFAUT_DIFFICULTE_DEFAUT QUESTION_DIFICULTE_MOYEN

#endif
